export const messages = $state({error:null,warning:null});

async function process(msg){
    if (msg instanceof Response) return await msg.text();
    return msg;
}

export async function error(msg){
    messages.error = await process(msg);
}

export async function warn(msg){
    messages.warning = await process(msg);
}

export function yikes(){
    messages.error = null;
    messages.warning  = null;
}
